<!----------------------------------------------------------------------------->
# gitlab-ci Repository
<!----------------------------------------------------------------------------->

This repository contains **GitLab CI scripts** for Clea OS infrastructure tasks,
e.g. automatic integration of project changes into the manifest. It is meant to
be included into all relevant Clea OS repositories as a [git submodule][1].

[1]: https://git-scm.com/book/en/v2/Git-Tools-Submodules


<!----------------------------------------------------------------------------->
## The GitBot token
<!----------------------------------------------------------------------------->

Most scripts inside this repository need a [group GitLab access token][2] of
a user with access to all relevant repositories (manifest and all contained
projects) in order to work correctly.
We have created the **GitBot** group access token for this task. The token has
maintainer permissions in the [`Clea OS` group][3] and has all of the token 
permissions enabled (read/write API access, read/write registry access, etc.).

The group access token value is provided via the CI environment variable
`GITBOT_TOKEN` for all projects in the `Clea OS` group (set in the
[group's CI/CD settings][4] under "Variables").

[2]: https://docs.gitlab.com/ee/user/group/settings/group_access_tokens.html
[3]: https://git.seco.com/clea-os
[4]: https://git.seco.com/groups/clea-os/-/settings/ci_cd


<!----------------------------------------------------------------------------->
## Automatic manifest integration
<!----------------------------------------------------------------------------->

See this chapter for information on how the automatic manifest integration process works:

▶ [Automatic manifest integration][5]

[5]: docs/automatic-manifest-integration.md

<!----------------------------------------------------------------------------->
## Automatic layers integration
<!----------------------------------------------------------------------------->

See this chapter for information on how the automatic layers integration process works:

▶ [Automatic layers integration][6]

[6]: docs/automatic-layers-integration.md

<!----------------------------------------------------------------------------->
## Deployment
<!----------------------------------------------------------------------------->

See this chapter for information on how to deploy changes in the `gitlab-ci`
repository to all repositories that are using it.

▶ [gitlab-ci Deployment][7]

[7]: docs/gitlab-ci-deployment.md

<!----------------------------------------------------------------------------->
## Manifest pipeline
<!----------------------------------------------------------------------------->

See this chapter for information on the pipeline runnning in the manifest 
repository to build Yocto images.

▶ [manifest Pipeline][8]

[8]: docs/manifest-pipeline.md

<!----------------------------------------------------------------------------->
## Add new project to be handled by the pipeline
<!----------------------------------------------------------------------------->

See this chapter for the steps needed to setup a new project using the pipeline.

▶ [Add project using the Pipeline][9]

[9]: docs/add-new-project-to-pipeline.md