#!/bin/bash

GITBOT_TOKEN=$1
CI_REPOSITORY_URL=$2
BUILD_BRANCH=$3
DEFCONFIG_FILE=$4
RECIPE_NAME=$5

git config --global url.https://github.com/.insteadOf git://github.com/
git config --global url.https://gitlab-ci-token:${GITBOT_TOKEN}@git.seco.com/.insteadOf https://git.seco.com/
repo init --submodules -u ${CI_REPOSITORY_URL} -b ${BUILD_BRANCH} --
repo sync -j$(nproc) --fetch-submodules --no-clone-bundle

RECIPES="u-boot-seco-rk linux-seco-rk u-boot-seco-imx linux-seco-imx imx-mkimage u-boot-seco-mtk linux-seco-mtk"
for str in $RECIPES; do
    if echo "$BUILD_BRANCH" | grep -q "$str"; then 
        filename=$(find layers/meta-seco-imx layers/meta-seco-rk -name "*$str*" -type f -exec grep -l "SRCBRANCH = " {} \;)
        echo $filename
        RECIPE_BRANCH=$(echo "$BUILD_BRANCH" | sed "s|.*$str/||"i | sed 's/\/into.*//')
        sed -i "s/\(SRCBRANCH = \).*/\1\"$(echo "$RECIPE_BRANCH" | sed 's/[\/&]/\\&/g')\"/" $filename
        cat $filename
    fi
done