#!/bin/sh

BOARD=$1
PREFERRED_KERNEL=$(bitbake virtual/kernel -e | grep ^PREFERRED_PROVIDER_virtual/kernel | awk -F'=' '{print $2}' | sed 's/\"//g' | head -1)
KERNEL_VERSION=$(bitbake virtual/kernel -e | grep ^PREFERRED_VERSION_${PREFERRED_KERNEL} | awk -F'=' '{print $2}' | sed 's/\"//g' | head -1)
kernel_version="$(echo ${KERNEL_VERSION%\%} | sed 's/\./-/g')"

# Some of the boards inside Clea OS does not have 
# a valid value of KERNEL_VERSION variable so we
# need to force its value as long as bug fixes are
# not performed
case "$BOARD" in
    *"c31"*)
        kernel_version="5-10"
        ;;
    *"tanaro"*)
        kernel_version="5-10"
        ;;
esac

echo "$kernel_version"